"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNativeWeb = require("react-native-web");

var _Util = require("../Util");

var _Box = _interopRequireDefault(require("../Box"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//import { getSize, Box } from "..";
const uri = {
  day: "https://xqimg.imedao.com/18002ad5ed0183f3feda79c2.png",
  night: "https://xqimg.imedao.com/18002ada074189f3fe9494a5.png"
};
/**
 * Empty组件
 */

const Empty = props => {
  const {
    text = "暂无数据",
    width = 186,
    height = 72,
    mt = 100
  } = props;
  const theme = "day";
  return /*#__PURE__*/_react.default.createElement(_Box.default, {
    col: true,
    c: true,
    mt: mt,
    w: "100%"
  }, /*#__PURE__*/_react.default.createElement(_Box.default, {
    c: true
  }, /*#__PURE__*/_react.default.createElement(_reactNativeWeb.Image, {
    style: {
      width: (0, _Util.getSize)(width),
      height: (0, _Util.getSize)(height)
    },
    source: {
      uri: uri[theme]
    },
    resizeMode: "stretch"
  })), /*#__PURE__*/_react.default.createElement(_Box.default, {
    f: 14,
    cl: "T030",
    c: true,
    mt: 40
  }, text));
};

var _default = Empty;
exports.default = _default;