"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Icon;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _icon = _interopRequireDefault(require("./icon"));

var _Util = require("../Util");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Icon
 *
 * 目前客户端不支持SVG 先用图片
 *
 * 默认宽高 12
 */
function Icon(_ref) {
  let {
    type,
    w,
    h
  } = _ref;
  const theme = "day";
  return /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: _icon.default[type][theme],
    style: {
      width: (0, _Util.getSize)(w || 12),
      height: (0, _Util.getSize)(h || 12)
    }
  });
}