"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Loading;

require("core-js/modules/es.object.assign.js");

var _react = _interopRequireDefault(require("react"));

var _Box = _interopRequireDefault(require("../Box"));

var _LottieAnimate = _interopRequireDefault(require("../LottieAnimate"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const LOADING_ANIMATION = {
  day: require("./loading_gray_day.json"),
  night: require("./loading_gray_night.json")
};

function Loading(_ref) {
  let props = Object.assign({}, _ref);
  return /*#__PURE__*/_react.default.createElement(_Box.default, {
    flex: 1
  }, /*#__PURE__*/_react.default.createElement(_Box.default, _extends({
    c: true,
    flex: 1
  }, props), /*#__PURE__*/_react.default.createElement(_Box.default, null, /*#__PURE__*/_react.default.createElement(_LottieAnimate.default, {
    w: 20,
    h: 20,
    dataSource: LOADING_ANIMATION
  }), /*#__PURE__*/_react.default.createElement(_Box.default, {
    cl: "T030",
    ml: 8
  }, "\u52A0\u8F7D\u4E2D..."))));
}