"use strict";

require("core-js/modules/es.object.assign.js");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNativeWeb = require("react-native-web");

var _Box = _interopRequireDefault(require("../Box"));

const _excluded = ["children", "onPress", "px", "py", "br", "p", "ab", "l", "r", "t", "b"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

const PButton = props => {
  const {
    children,
    onPress,
    px,
    py,
    br,
    p,
    ab,
    l,
    r,
    t,
    b
  } = props,
        otherProps = _objectWithoutProperties(props, _excluded);

  let paddingX = px === undefined ? 12 : px;
  let paddingY = py === undefined ? 4 : py;

  if (p !== undefined) {
    paddingX = p;
    paddingY = p;
  }

  return ab ?
  /*#__PURE__*/
  // 直接用 ab = {ab} 会报错
  _react.default.createElement(_Box.default, {
    ab: true,
    l: l,
    r: r,
    t: t,
    b: b
  }, /*#__PURE__*/_react.default.createElement(_reactNativeWeb.TouchableOpacity, {
    onPress: onPress,
    activeOpacity: 0.8,
    hitSlop: {
      left: 8,
      right: 8,
      top: 8,
      bottom: 8
    }
  }, /*#__PURE__*/_react.default.createElement(_Box.default, _extends({
    px: paddingX,
    py: paddingY,
    br: br || 100
  }, otherProps), children))) : /*#__PURE__*/_react.default.createElement(_Box.default, {
    l: l,
    r: r,
    t: t,
    b: b
  }, /*#__PURE__*/_react.default.createElement(_reactNativeWeb.TouchableOpacity, {
    onPress: onPress,
    activeOpacity: 0.8,
    hitSlop: {
      left: 8,
      right: 8,
      top: 8,
      bottom: 8
    }
  }, /*#__PURE__*/_react.default.createElement(_Box.default, _extends({
    px: paddingX,
    py: paddingY,
    br: br || 100
  }, otherProps), children)));
};

var _default = PButton;
exports.default = _default;