"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNativeWeb = require("react-native-web");

var _Box = _interopRequireDefault(require("../Box"));

const _excluded = ["children", "onPress", "w"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

const Press = _ref => {
  let {
    children,
    onPress,
    w
  } = _ref,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement(_Box.default, props, /*#__PURE__*/_react.default.createElement(_reactNativeWeb.TouchableOpacity, {
    onPress: onPress,
    activeOpacity: 0.8,
    hitSlop: {
      left: 8,
      right: 8,
      top: 8,
      bottom: 8
    }
  }, /*#__PURE__*/_react.default.createElement(_Box.default, {
    w: w,
    c: true
  }, children)));
};

var _default = Press;
exports.default = _default;