"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactNativeWeb = require("react-native-web");

var _color = _interopRequireDefault(require("../Util/color.json"));

var _index = require("../Util/index");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const RadioStyle = function RadioStyle() {
  let theme = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 'day';
  return _reactNativeWeb.StyleSheet.create({
    border: {
      borderStyle: 'solid',
      borderWidth: (0, _index.getSize)(1),
      borderColor: _color.default.T020[theme]
    },
    center: {
      alignItems: 'center',
      justifyContent: 'center'
    },
    disabled: {
      borderStyle: 'solid',
      borderWidth: (0, _index.getSize)(1),
      borderColor: _color.default.T040[theme]
    }
  });
};

var _default = RadioStyle;
exports.default = _default;