"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactNativeWeb = require("react-native-web");

var _color = _interopRequireDefault(require("../Util/color.json"));

var _Util = require("../Util");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const DatePicker = theme => _reactNativeWeb.StyleSheet.create({
  rangeBox: {
    flexWrap: "wrap"
  },
  lineBox: {
    justifyContent: "space-between"
  },
  item: {
    justifyContent: "center"
  },
  marginItem: {
    marginRight: (0, _Util.getSize)(8)
  },
  itemCheck: {
    backgroundColor: _color.default.Blu010[theme],
    color: "#fff"
  },
  textWrap: {
    justifyContent: "space-between"
  },
  textInput: {
    height: (0, _Util.getSize)(34),
    color: _color.default.Blu010[theme],
    borderRadius: (0, _Util.getSize)(4),
    borderWidth: (0, _Util.getSize)(0.5),
    borderColor: "#E5E8EE",
    textAlign: "center",
    width: (0, _Util.getSize)(132)
  },
  textInputFocus: {
    borderBottomColor: _color.default.Blu010[theme]
  },
  btnFocus: {
    borderColor: _color.default.Blu010[theme],
    borderWidth: (0, _Util.getSize)(0.5)
  },
  btnUnFocus: {
    borderColor: _color.default.L010[theme],
    borderWidth: (0, _Util.getSize)(0.5)
  },
  hightLightSpace: {
    position: "absolute",
    top: 48,
    left: 0,
    height: 48,
    backgroundColor: _color.default.B030[theme],
    borderRadius: 6,
    width: "100%"
  },
  displayNone: {
    display: "none"
  }
});

var _default = DatePicker;
exports.default = _default;