"use strict";

require("core-js/modules/es.object.assign.js");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNativeWeb = require("react-native-web");

var _color = _interopRequireDefault(require("../Util/color.json"));

var _Util = require("../Util");

const _excluded = ["size", "level", "children", "bold", "style"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

const XqText = props => {
  const theme = "day";

  const {
    size = 14,
    level = 2,
    children,
    bold,
    style
  } = props,
        othersProps = _objectWithoutProperties(props, _excluded);

  const autoSize = (0, _Util.getSize)(size);
  return /*#__PURE__*/_react.default.createElement(_reactNativeWeb.Text, _extends({}, othersProps, {
    style: [styles.text, {
      // @ts-ignore
      color: _color.default["T0".concat(level, "0")][theme],
      fontSize: autoSize,
      lineHeight: 1.4 * autoSize,
      fontWeight: bold || level === 1 ? "500" : "normal"
    }, style]
  }), children);
};

const styles = _reactNativeWeb.StyleSheet.create({
  text: {
    fontSize: 14,
    lineHeight: 20
  }
});

var _default = XqText;
exports.default = _default;